import Path, { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from "tvrender/lib/core/PathProxy.js";
declare class VLinePathShape {
    points: number[];
    height: number;
}
interface VLinePathProps extends PathProps {
    shape?: Partial<VLinePathShape>;
}
declare class VLinePath extends Path<VLinePathProps> {
    readonly type = "vLinePath";
    shape: VLinePathShape;
    constructor(opts?: VLinePathProps);
    getDefaultShape(): VLinePathShape;
    buildPath(ctx: PathProxy, shape: VLinePathShape): void;
}
export default VLinePath;
